Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic::Parameter_var Class Reference

`#include <DynamicC.h>`

Collaboration diagram for Dynamic::Parameter_var:

[legend]
List of all members.

## Public Methods
| Parameter_var (void)
| Parameter_var (Parameter *)
| Parameter_var (const Parameter_var &)
| ~Parameter_var (void)
Parameter_var & | operator= (Parameter *)
Parameter_var & | operator= (const Parameter_var &)
Parameter * | operator-> (void)
const Parameter * | operator-> (void) const
| operator const Parameter & () const
| operator Parameter & ()
| operator Parameter & () const
| operator Parameter *& ()
const Parameter & | in (void) const
Parameter & | inout (void)
Parameter *& | out (void)
Parameter * | _retn (void)
Parameter * | ptr (void) const
## Private Attributes
Parameter * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE Dynamic::Parameter_var::Parameter_var | ( | void |  | ) |

ACE_INLINE Dynamic::Parameter_var::Parameter_var | ( | Parameter * | p | ) |

Dynamic::Parameter_var::Parameter_var | ( | const Parameter_var & |  | ) |

ACE_INLINE Dynamic::Parameter_var::~Parameter_var | ( | void |  | ) |

## Member Function Documentation

Parameter* Dynamic::Parameter_var::_retn | ( | void |  | ) |

const Parameter& Dynamic::Parameter_var::in | ( | void |  | ) | const

Parameter& Dynamic::Parameter_var::inout | ( | void |  | ) |

Dynamic::Parameter_var::operator const Parameter & | ( |  | ) | const

Dynamic::Parameter_var::operator Parameter & | ( |  | ) | const

Dynamic::Parameter_var::operator Parameter & | ( |  | ) |

Dynamic::Parameter_var::operator Parameter *& | ( |  | ) |

ACE_INLINE const ::Dynamic::Parameter * Dynamic::Parameter_var::operator-> | ( | void |  | ) | const

ACE_INLINE::Dynamic::Parameter * Dynamic::Parameter_var::operator-> | ( | void |  | ) |

Parameter_var& Dynamic::Parameter_var::operator= | ( | const Parameter_var & |  | ) |

ACE_INLINE Dynamic::Parameter_var & Dynamic::Parameter_var::operator= | ( | Parameter * | p | ) |

Parameter*& Dynamic::Parameter_var::out | ( | void |  | ) |

Parameter* Dynamic::Parameter_var::ptr | ( | void |  | ) | const

## Member Data Documentation

Parameter* Dynamic::Parameter_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicC.h
- DynamicC.i